#ifndef __PIC32_H__
#define __PIC32_H__

/* See...
 * TABLE 4-1: SFR MEMORYMAP
 * TABLE 11-3: PORTA REGISTER MAP
 * 11.2 CLR, SET and INV Registers
 * PIC32MX1XX/2XX 28/36/44-pin Family Data Sheet
 */

#define T1CON   0xBF800600
#define TMR1    0xBF800610
#define PR1     0xBF800620

#define PMCON 	0xBF807000
#define PMMODE	0xBF807010
#define PMADDR	0xBF807020
#define PMDOUT	0xBF807030
#define PMDIN 	0xBF807040
#define PMAEN 	0xBF807050
#define PMSTAT	0xBF807060

#define OSCCON	0xBF80F000
#define CFGCON	0xBF80F200
#define SYSKEY	0xBF80F230

#define IFS0	0xBF881030
#define IFS1	0xBF881040
#define IEC0	0xBF881060
#define IEC1	0xBF881070
#define IPC1	0xBF8810A0
#define IPC7	0xBF881100
#define IPC8	0xBF881110

#define BMXCON		0xBF882000
#define BMXDRMSZ	0xBF882040

#define ANSELA	0xBF886000
#define TRISA	0xBF886010
#define PORTA	0xBF886020
#define LATA	0xBF886030
#define ODCA	0xBF886040
#define ANSELB	0xBF886100
#define TRISB	0xBF886110
#define PORTB	0xBF886120
#define LATB	0xBF886130
#define ODCB	0xBF886140

#define CLR 0x4
#define SET 0x8
#define INV 0xC

#endif /* __PIC32_H__ */
